Subject: Re: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: sho nakatani <[email-masked]>
Date: Thu, 31 Mar 2011 15:57:11 +0900

Hi.

2011/3/31 Tassilo Horn <[email-masked]>:
> Stefan Monnier <[email-masked]> writes:
>
>>> Implementation-wise, the difference is that Nakatani's current
>>> approach simply uses the image slice for the geometry, your rectangle
>>> approach requires another buffer-local variable.
>>
>> I don't see why you'd need another buffer-local var.  It'd just set
>> the zoom level and the scrolling.  Unless you mean a new buffer-local
>> var to remember "keep it fitted", but I don't need that.
>
> Oh, right.  So you'd set the rectangle once, which would adjust the zoom
> level and hscroll, and since doc-view preserves the hscroll anyway,
> there's nothing to remember.
>
> Hm, I can see that this is also handy, although not much different to
> slice&fit.  One complication here is that you have to set the hscroll in
> terms of columns while the rectangle is pixel-based.
>
> Nakatani, if you want, you could try to implement a
> `doc-view-fit-rectangle-to-window' function.  Basically, the right

Off course I'm interested in it but unfortunatelly I don't have enough
time. My school will begin soon and I want to give my all energy
to my research and study.

Although it is possible that I start to implement the function after
a month or so, I cannot be certain about it.

So if anyone (including Tassilo :-D ) can try it, it would be better
than just waiting for my implementation.

I feel a bit sorry not to be able to help you ;-(

Bye,

-- 
Sho Nakatani